Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaStratumLineBreakpoint

All Superinterfaces:
  IAdaptable, IBreakpoint, IJavaBreakpoint, IJavaLineBreakpoint, ILineBreakpoint

public interface IJavaStratumLineBreakpoint
extends IJavaLineBreakpoint

A line breakpoint identified by its source file name and/or path, and stratum that it is relative to.

This interface is not intended to be implemented by clients.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`SUSPEND_THREAD, SUSPEND_VM`

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`String` | `getPattern()` Returns the type name pattern this breakpoint uses to identify types in which to install itself.
`String` | `getSourceName()` Returns the simple name of the source file in which this breakpoint is set, or `null`.
`String` | `getSourcePath()` Returns the qaulified source file path in which this breakpoint is set, or `null`.
`String` | `getStratum()` Returns the stratum that this breakpoint's source name, source path, and line number are relative to, or `null` if this breakpoint is relative to a type's default stratum.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint
`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`addInstanceFilter, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint
`getCharEnd, getCharStart, getLineNumber`

Method Detail

### getPattern

    public String getPattern()
                      throws CoreException

  Returns the type name pattern this breakpoint uses to identify types in which to install itself. Patterns may begin or end with '*'. Will not return `null`. In the case that a stratum breakpoint was created with a `null` pattern, "*" is returned.

  Returns:
    the type name pattern this breakpoint uses to identify types in which to install itself
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### getSourceName

    public String getSourceName()
                         throws CoreException

  Returns the simple name of the source file in which this breakpoint is set, or `null`. When this breakpoint specifies a source file name, this breakpoint is only installed in types whose source file name debug attribute matches this value, relative to this breakpoint's stratum.

  Returns:
    the source file name in which this breakpoint is set, or `null`
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### getStratum

    public String getStratum()
                      throws CoreException

  Returns the stratum that this breakpoint's source name, source path, and line number are relative to, or `null` if this breakpoint is relative to a type's default stratum.

  Returns:
    the stratum that this breakpoint's source name, source path, and line number are relative to, or `null`
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### getSourcePath

    public String getSourcePath()
                         throws CoreException

  Returns the qaulified source file path in which this breakpoint is set, or `null`. When specified, this breakpoint is only installed in types whose source file path debug attribute matches this value, relative to this breakpoint's stratum.

  Returns:
    the qaulified source file path in which this breakpoint is set, or `null`
  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.